@import url('https://fonts.googleapis.com/css2?family=Cutive+Mono&family=Roboto:ital,wght@0,100;0,300;0,400;1,100&display=swap');

body {
    background-color: #F3F3F5;
    color: #3B3C51;
    margin: 0;
    display:grid;
    grid-template-rows: 5vh auto auto;
}

a:link {
    color: #C516A5;
    text-decoration: none;
}

a:visited {
    color: #C516A5;
    text-decoration: none;
}

a:hover {
    color: #FF881B;
    text-decoration: none;
}

h1 {
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: 100;;
    font-size: 24pt;
    margin: 0;
}

h2 {
    font-variant: small-caps;
    font-weight: 100;
    font-size: 32pt;
    /*text-decoration: #985ECE underline;*/
    margin: 0 0 5pt
}

h3 {
    font-weight: 100;
    font-size: 28pt;
}




@media screen and (max-width: 2560px) {
    h1 {
        font-family: Roboto, sans-serif;
        font-style: normal;
        font-weight: 100;
        font-size: 24pt;
        margin: 0;
    }

    h2 {
        font-variant: small-caps;
        font-weight: 100;
        font-size: 20pt;
        /*text-decoration: #985ECE underline;*/
        margin: 0 0 5pt;
    }

    h3 {
        font-weight: 100;
        font-size: 16pt;
    }
}


header {
    background-color: #FFFFFF;
    box-shadow: 0 4pt 10pt -10pt rgba(0, 0, 0, 0.25);
    /*width: 75vw;*/
    margin-left: 12vw;
    margin-right: 12vw;
    display: flex;
    justify-content: space-between;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: 100;
    font-size: 24pt;
}

page {
    display: flex;
    justify-content: center;
}

main {
    max-width: 75%;
    margin: 10pt 12.5vw 10pt 12.5vw;
    display: grid;
    grid-template-columns: 40vw 35vw;
    grid-template-rows: 40pt auto auto;
    flex-grow: 1;
}


footer {
    /*width: 75vw;*/
    background-color: #FFFFFF;
    margin-left: 12.5vw;
    margin-right: 12.5vw;
    height: 10vh;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: 100;
    font-size: 12pt;
    padding-left: 10pt;
    padding-right: 10pt;
    box-shadow: 0 -10pt 10pt -10pt rgba(0, 0, 0, 0.25);
    clip-path: inset(-25pt -25pt 0pt -25pt);
}

nav {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    margin-right: 20pt;
    font-size: 16pt;
}

ul {
    display:inline-block;
    list-style-type: none;
    align-content: center;
    margin-top: 10pt;
    margin-bottom: 10pt;
}

li {
    display: inline;
}

hr {
    border: 0 none;
    border-top: 1pt solid #985ECEFF;
    height: 0;
}

main  > label {
    padding: 10pt;
}

main > form {
    grid-column: 2;
    grid-row: 1;
    margin-top: 5pt;
    margin-bottom: 5pt;
    display: flex;
    flex-direction: row;
}

main > form > input {
    padding: 10pt;
    flex-grow: 8;
    margin-right: 2.5pt;
    margin-left: 5pt;
    /*color: aliceblue;*/
    background: white;
    border: 2pt solid #985ECE;
    box-shadow: 0 4pt 10pt rgba(0, 0, 0, 0.25);
    /*border-radius: 3pt;*/
}

main > form > input:focus {
    border: 2pt solid #FF881B;
    outline: 5pt auto #FF881B;
}

main > form > button {
    text-align: center;
    flex-grow: 1;
    margin-right: 5pt;
    margin-left: 2.5pt;
    color: aliceblue;
    background: #FF881B;
    box-shadow: 0 4pt 10pt rgba(0, 0, 0, 0.25);
    border: 2pt solid #FF881B;
    /*border-radius: 5pt;*/
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: 100;
    font-size: 12pt;
}

main > form > button:focus {
    background: #985ECE;
    border: 2pt solid #985ECE;
}

main > form > button:hover {
    background: #985ECE;
    border: 2pt solid #985ECE;
}

.json-data {
    background: #FFFFFF;
    grid-column: 2;
    grid-row: 3;
    box-shadow: 0 4pt 50pt -10pt rgba(0, 0, 0, 0.25);
    /*border-radius: 3pt;*/
    margin: 5pt 0;
    padding: 5pt;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 14pt;
    display: flex;
}

@media screen and (max-width: 2560px) {
    .json-data {
        margin: 5pt;
        font-size: 12pt;
    }
}

@media screen and (max-width: 1920px) {
    .json-data {
        margin: 5pt;
        font-family: Roboto, sans-serif;
        font-size: 8pt;
    }
}

.json-data > div {
    height: 15vw;
    flex-grow: 1;
    margin: 5pt;
    box-shadow: 0 4pt 25pt -5pt rgba(0, 0, 0, 0.25);
    overflow: scroll;
    color: #FFFFFF;
}

.json-data > div > pre {

}

.side-box {
    background: #F3F3F5;
    grid-column: 1;
    grid-row-start: 1;
    grid-row-end: 4;
    margin: 5pt 0;
    padding: 5pt;
    font-family: Roboto, sans-serif;
    font-style: normal;
    font-weight: 100;
    font-size: 18pt;
}

@media screen and (max-width: 2560px) {
    .side-box {
        margin: 5pt;
        font-size: 16pt;
    }
}

@media screen and (max-width: 1920px) {
    .side-box {
        margin: 5pt;
        font-size: 12pt;
    }
}

.map {
    grid-column: 2;
    grid-row: 2;
    padding: 10pt;
    margin-inline: 0;
    margin: 5pt;
    background-color: #FFFFFF;
    /*border: 2px solid #C516A5;*/
    box-shadow: 0 4pt 50pt -10pt rgba(0, 0, 0, 0.25);
}

.small-print {
    font-size: 16pt;
    font-variant: small-caps;
}

@media screen and (max-width: 2560px) {
    .small-print {
        font-size: 10pt;
        font-variant: small-caps;
    }
}

#home {
    align-self: center;
    margin-left: 20pt;
}

#sponsors > a > img {
    width: 6vw;
    margin-left: 15pt;
}